Bug 5216 - [CTDB] config/functions should begin with #!/bin/sh or should be installed without chmod ugo+x
[CTDB] config/functions should begin with #!/bin/sh or should be installed wi...
Status: RESOLVED FIXED
Product: CTDB 2.5.x or older
Classification: Unclassified
Component: ctdb
unspecified
x86 Linux
: P3 minor
: ---
Assigned To: Andrew Tridgell
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-19 12:08 UTC by Mathieu Parent
Modified: 2009-02-03 15:30 UTC (History)
1 user (show)

See Also:


Attachments
less intrusive patch (install as 644 instead of 755) (678 bytes, patch)
2008-03-28 03:58 UTC, Mathieu Parent
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mathieu Parent 2008-01-19 12:08:16 UTC
This is a shell script so ...
Comment 1 Mathieu Parent 2008-02-12 13:13:07 UTC
Patch is attached to bug 5217 (https://bugzilla.samba.org/attachment.cgi?id=3138)
Comment 2 Mathieu Parent 2008-03-28 03:58:57 UTC
Created attachment 3221 [details]
less intrusive patch (install as 644 instead of 755)

New patch, less intrusive, to install as 644 instead of 755.

Thanks.
Comment 4 Mathieu Parent 2008-06-27 18:00:17 UTC
Then the first patch is applied : see http://git.samba.org/?p=sahlberg/ctdb.git;a=commitdiff;h=9b8179ad043a80e0e18eeba427a7b7b15690d039